Skip to main content
`Ctrl`+`K`

# MatBoundToCPU

query if a matrix is bound to the CPU

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatBoundToCPU(Mat A, PetscBool *flg)

## Input Parameter

- A - the matrix

## Output Parameter

- flg - the logical flag

## See Also

Matrices, `Mat`, `MatBindToCPU()`

## Level

intermediate

## Location

src/mat/utils/gcreate.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages